#pragma once

#include "reckoner.h"
#include "line_tracker.h"

void loadCalibration();

void waitForSignalToStart();
void findLineAndCalibrate(); void findLine();  // two alternatives
void turnRightToFindLine();
void followLineToEnd();
void driveHomeAlmost();
void finalSettleIn();

void updateMotorsToFollowLine();
void updateReckonerFromEncoders();
float determinant();
float dotProduct();

extern Reckoner reckoner;
extern LineTracker lineTracker;
